Package org.opensaml.soap.wsaddressing

# Interface IsReferenceParameterBearing

public interface IsReferenceParameterBearing
Interface for element having a `@wsa:IsReferenceParameter` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSA_IS_REFERENCE_PARAMETER_ATTR_LOCAL_NAME`
the `IsReferenceParameter` attribute local name.
`static final QName`
`WSA_IS_REFERENCE_PARAMETER_ATTR_NAME`
the `wsa:IsReferenceParameter` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isWSAIsReferenceParameter()`
Returns the `@wsa:IsReferenceParameter` attribute value.
`XSBooleanValue`
`isWSAIsReferenceParameterXSBoolean()`
Returns the `@wsa:IsReferenceParameter` attribute value.
`void`
`setWSAIsReferenceParameter(Boolean newIsReferenceParameter)`
Sets the `@wsa:IsReferenceParameter` attribute value.
`void`
`setWSAIsReferenceParameter(XSBooleanValue newIsReferenceParameter)`
Sets the `@wsa:IsReferenceParameter` attribute value.

## Field Details

### WSA_IS_REFERENCE_PARAMETER_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSA_IS_REFERENCE_PARAMETER_ATTR_LOCAL_NAME
the `IsReferenceParameter` attribute local name.

See Also:
  - Constant Field Values

### WSA_IS_REFERENCE_PARAMETER_ATTR_NAME

@Nonnull static final QName WSA_IS_REFERENCE_PARAMETER_ATTR_NAME
the `wsa:IsReferenceParameter` qualified attribute name.

## Method Details

### isWSAIsReferenceParameter

@Nullable Boolean isWSAIsReferenceParameter()
Returns the `@wsa:IsReferenceParameter` attribute value.

Returns:
  The `@wsa:IsReferenceParameter` attribute value or `null`.

### isWSAIsReferenceParameterXSBoolean

@Nullable XSBooleanValue isWSAIsReferenceParameterXSBoolean()
Returns the `@wsa:IsReferenceParameter` attribute value.

Returns:
  The `@wsa:IsReferenceParameter` attribute value or `null`.

### setWSAIsReferenceParameter

void setWSAIsReferenceParameter(@Nullable Boolean newIsReferenceParameter)
Sets the `@wsa:IsReferenceParameter` attribute value.

Parameters:
  `newIsReferenceParameter` - The `@wsa:IsReferenceParameter` attribute value

### setWSAIsReferenceParameter

void setWSAIsReferenceParameter(@Nullable XSBooleanValue newIsReferenceParameter)
Sets the `@wsa:IsReferenceParameter` attribute value.

Parameters:
  `newIsReferenceParameter` - The `@wsa:IsReferenceParameter` attribute value